"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Supported class diagram types.
 */
var ClassDiagramType;
(function (ClassDiagramType) {
    ClassDiagramType[ClassDiagramType["None"] = 1] = "None";
    ClassDiagramType[ClassDiagramType["Simple"] = 2] = "Simple";
    ClassDiagramType[ClassDiagramType["Detailed"] = 3] = "Detailed";
})(ClassDiagramType = exports.ClassDiagramType || (exports.ClassDiagramType = {}));
/**
 * Supported visibility styles for members in the class diagram.
 */
var ClassDiagramMemberVisibilityStyle;
(function (ClassDiagramMemberVisibilityStyle) {
    ClassDiagramMemberVisibilityStyle[ClassDiagramMemberVisibilityStyle["Text"] = 1] = "Text";
    ClassDiagramMemberVisibilityStyle[ClassDiagramMemberVisibilityStyle["Icon"] = 2] = "Icon";
})(ClassDiagramMemberVisibilityStyle = exports.ClassDiagramMemberVisibilityStyle || (exports.ClassDiagramMemberVisibilityStyle = {}));
/**
 * Possible ways to output method parameters in the class diagram.
 */
var MethodParameterOutput;
(function (MethodParameterOutput) {
    MethodParameterOutput[MethodParameterOutput["None"] = 0] = "None";
    MethodParameterOutput[MethodParameterOutput["OnlyNames"] = 1] = "OnlyNames";
    MethodParameterOutput[MethodParameterOutput["OnlyTypes"] = 2] = "OnlyTypes";
    MethodParameterOutput[MethodParameterOutput["Complete"] = 3] = "Complete";
})(MethodParameterOutput = exports.MethodParameterOutput || (exports.MethodParameterOutput = {}));
